using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lotosummary.Tabulate
{
    class StandardOutputNewLine : Feedable
    {
        public override bool ending(bool csv)
        {
            if (csv)
            {
                for (; ; )
                {
                    Console.Write(separator);
                    itemCount += 1;
                    if (itemCount >= FIELD_COUNT)
                    {
                        Console.WriteLine("");
                        break;
                    }

                }

            }
            else
            {
                Console.WriteLine("");
            }

            return true;
        }

        public override int writing(string item)
        {
            Console.Write(item);
            Console.Write(separator);
            size += FIELD_SIZE;
            itemCount += 1;
            if (itemCount >= FIELD_COUNT)
            {
                Console.WriteLine("");
                size += NEW_LINE_SIZE;
                itemCount = 0;
            }

            return size;
        }

        public StandardOutputNewLine() { }
    }

}
